summaryrefslogtreecommitdiffstats
path: root/scripts/build.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2018-07-09 10:33:04 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2018-07-09 15:23:49 -0700
commit25b78d737958bf868cd219205631a00daad89a4d (patch)
tree94034580b528c8012cf5fc7ee167fa29f97caf15 /scripts/build.sh
parente15b41827cc341f5854d4c87f0acc7f37292ebc3 (diff)
downloadsubsurface-25b78d737958bf868cd219205631a00daad89a4d.tar.gz
build.sh: provide usage message and exit on unknown arg
Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/build.sh')
-rwxr-xr-xscripts/build.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index fc111769a..406bcbb08 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -69,6 +69,8 @@ while [[ $# -gt 0 ]] ; do
;;
*)
echo "Unknown command line argument $arg"
+ echo "Usage: build.sh [-no-bt] [-build-deps] [-build-with-webkit] [-mobile] [-desktop] [-both] [-create-appdir] [-skip-googlemaps] [-release]"
+ exit 1
;;
esac
shift